Uploaded image for project: 'Apache Storm'
  1. Apache Storm
  2. STORM-3312

Upgrade Guava to latest

    XMLWordPrintableJSON

    Details

    • Type: Dependency upgrade
    • Status: Resolved
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 2.0.0
    • Fix Version/s: 2.0.0
    • Component/s: None

      Description

      As part of STORM-3311, I want to use https://google.github.io/guava/releases/23.0/api/docs/com/google/common/io/MoreFiles.html to replace Guava's Files class. We're currently on Guava 16.0.1, which is too old. Since we're shading Guava, there shouldn't be an issue with upgrading it. Modules like storm-cassandra that require old Guava versions can depend directly on unshaded Guava in the version they like.

        Attachments

          Activity

            People

            • Assignee:
              srdo Stig Rohde Døssing
              Reporter:
              srdo Stig Rohde Døssing
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Time Tracking

                Estimated:
                Original Estimate - Not Specified
                Not Specified
                Remaining:
                Remaining Estimate - 0h
                0h
                Logged:
                Time Spent - 3h 40m
                3h 40m